[Fai-commit] r3012 - trunk/debian
fai-repository at svn.debian.org
fai-repository at svn.debian.org
Mon Nov 7 14:14:58 UTC 2005
Author: lange
Date: 2005-11-07 14:14:58 +0000 (Mon, 07 Nov 2005)
New Revision: 3012
Added:
trunk/debian/fai-quickstart.postinst
Log:
postin scripts copies simples examples to config space
Added: trunk/debian/fai-quickstart.postinst
===================================================================
--- trunk/debian/fai-quickstart.postinst 2005-11-06 13:55:02 UTC (rev 3011)
+++ trunk/debian/fai-quickstart.postinst 2005-11-07 14:14:58 UTC (rev 3012)
@@ -0,0 +1,40 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure)
+ . /etc/fai/fai.conf
+ if [ ! -d $FAI_CONFIGDIR/class ]; then
+ mkdir -p $FAI_CONFIGDIR || true
+ cp -a /usr/share/doc/fai-doc/examples/simple/* /usr/local/share/fai
+ echo "Simple examples copied to config space $FAI_CONFIGDIR."
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#
+
+exit 0
More information about the Fai-commit
mailing list